Subject: Re: Re: how to make cygwin run under shells other than bash
From: [email-masked]
To: Damien Suttle <[email-masked]>
Cc: [email-masked]
Date: Fri, 1 Aug 2003 09:10:35 +1000 (EST)

On 31 Jul, Damien Suttle wrote:
>  So I changed the shell invocation line in cygwin.bat from:
>  
>  bash --login -i
>  
>  to this:
>  
>  tcsh -i -
>  
>  Then, i get the following output:
>  true: Command not found.
>  true: Command not found.
>  true: Command not found.
>  true: Command not found.
>  true: Command not found.
>  true: Command not found.
>  true: Command not found.
>  true: Command not found.
>  true: Command not found.
>  stty: Command not found.
>  tput: Command not found.
>  stty: Command not found.
>  limit: Command not found.
>  vesperus / %
>  
>  so it starts tcsh at the end, finally, but i'm in the root dir instead of my home dir (the way bash does) and i am unable to use many standard commands (e.g., ls, pwd).
>  
>  Does anyone know what files I need to change, where they are, and what to change them to?
>  
>  ============================================================
>  From: [email-masked]
>  Date: 2003/07/24 Thu PM 11:46:01 EDT
>  To: Damien Suttle <[email-masked]>
>  CC: [email-masked]
>  Subject: Re: how to make cygwin run under shells other than bash
>  
>  On 24 Jul, Damien Suttle wrote:
> >  Hi,>  my favorite shell is tcsh, but cygwin always starts up in bash.
> >  I tried playing with the cygwin.bat file, but i couldn't get it
> >  to work. does anyone know how to reconfigure cygwin to start up
> >  in other shells?
>  
>  $ mkshortcut -D -A -n "tcshw"  -a '-l' /usr/bin/tcsh.exe
>  
>  Or just right click on the cywgin icon's properties and change the shell
>  it runs, if you want to hack.  Or change the shell for your account, in
>  /etc/passwd I think.
>  
>  luke

Sounds like PATH doesn't include the path to Cygwin?!  If you send me
your cygwin.bat file, and tell me the shortcut properties used to run
it from the desktop, I'm happy to have a look and see what's going on.

luke

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/